#include "argparser.h"
#include <stdio.h>

int main(int argc, char *argv[]) {
  argparser_t *parser = create_parser();

  add_argument(parser, (arg_t){ARG_TYPE_POSITIONAL, "c", "count"});
  add_argument(parser, (arg_t){ARG_TYPE_POSITIONAL, "g", "group"});
  add_argument(parser, (arg_t){ARG_TYPE_NAMED, "t", "test"});
  add_argument(parser, (arg_t){ARG_TYPE_NAMED, "f", "fault"});
  add_argument(parser, (arg_t){ARG_TYPE_NAMED, "e", "emblem"});
  add_argument(parser, (arg_t){ARG_TYPE_FLAG, "u", "undo"});
  add_argument(parser, (arg_t){ARG_TYPE_FLAG, "d", "delete"});

  print_usage(parser);

  destroy_parser(&parser);

  return 0;
}
